
Infrastructure - Bug #1820

Synchronization Exceptions need to be limited in SyncObjectTask

2011-10-07 20:27 - Robert Waltz

Status: Closed Start date: 2011-10-07

Priority: High Due date:  

Assignee: Robert Waltz % Done: 100%

Category: d1_synchronization Estimated time: 0.00 hour

Target version: Sprint-2011.40-Block.5   

Milestone: CCI-0.6.4 Story Points:  

Product Version: *   

Description

hzSyncObjectQueue.poll captures all exceptions. need to limit only to Interrupted exceptions. 

Main loop is also too generous with captured exceptions causing infinite loop of faulure.

History

#1 - 2011-10-07 20:28 - Robert Waltz

- Target version changed from Sprint-2011.36-Block.5 to Sprint-2011.40-Block.5

- Position set to 15

#2 - 2011-10-09 21:11 - Robert Waltz

- Status changed from New to In Progress

#3 - 2011-10-13 01:56 - Robert Waltz

- Status changed from In Progress to Closed
